com.sleepycat.persist.evolve

## Class EvolveStats

- java.lang.Object
- - com.sleepycat.persist.evolve.EvolveStats

-     public class EvolveStats
      extends java.lang.Object

  Statistics accumulated during eager entity evolution.
  See Also:
    `Class Evolution`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNConverted()` The total number of entities converted during eager evolution.
    `int` | `getNRead()` The total number of entities read during eager evolution.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNRead

          public int getNRead()

      The total number of entities read during eager evolution.
      Returns:
        the number of entities read.

    - #### getNConverted

          public int getNConverted()

      The total number of entities converted during eager evolution.
      Returns:
        the number of entities converted.

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.